<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.project.aspen.mapper.TElecdashboardDayMapper">
    
    <resultMap type="TElecdashboardDay" id="TElecdashboardDayResult">
        <result property="id"    column="id"    />
        <result property="gasYesterday"    column="gas_yesterday"    />
        <result property="pullDate"    column="pull_date"    />
        <result property="gtg1PowerGenLevel"    column="gtg1_power_gen_level"    />
        <result property="gtg1Efficiency"    column="gtg1_efficiency"    />
        <result property="gtg2PowerGenLevel"    column="gtg2_power_gen_level"    />
        <result property="gtg2Efficiency"    column="gtg2_efficiency"    />
        <result property="gtg3PowerGenLevel"    column="gtg3_power_gen_level"    />
        <result property="gtg3Efficiency"    column="gtg3_efficiency"    />
        <result property="stgPowerGenLevel"    column="stg_power_gen_level"    />
        <result property="stgEfficiency"    column="stg_efficiency"    />
        <result property="totalPowerGen"    column="total_power_gen"    />
        <result property="steamHhp"    column="steam_hhp"    />
        <result property="steamHp"    column="steam_hp"    />
        <result property="steamMp"    column="steam_mp"    />
        <result property="steamLp"    column="steam_lp"    />
        <result property="gasRealTime"    column="gas_real_time"    />
        <result property="gasLeft"    column="gas_left"    />
        <result property="gasUsed"    column="gas_used"    />
        <result property="gasPlan"    column="gas_plan"    />
        <result property="gasElec"    column="gas_elec"    />
        <result property="gasSynGas"    column="gas_syn_gas"    />
        <result property="gasU2"    column="gas_u2"    />
        <result property="gasStyrene"    column="gas_styrene"    />
        <result property="elecPowerGen"    column="elec_power_gen"    />
        <result property="elecPowerSwitch"    column="elec_power_switch"    />
        <result property="elecUsed"    column="elec_used"    />
        <result property="elecDiff"    column="elec_diff"    />
        <result property="elecBycUsed"    column="elec_byc_used"    />
        <result property="elecBocUsed"    column="elec_boc_used"    />
        <result property="carbonUsed"    column="carbon_used"    />
        <result property="carbonRealTime"    column="carbon_real_time"    />
        <result property="sub"    column="sub"    />
        <result property="subFurnaceLoad"    column="sub_furnace_load"    />
        <result property="hhpPphhp"    column="hhp_pphhp"    />
        <result property="hhpAaae"    column="hhp_aaae"    />
        <result property="hhpGaa"    column="hhp_gaa"    />
        <result property="hhpSyn"    column="hhp_syn"    />
        <result property="hhpP3802"    column="hhp_p3802"    />
        <result property="hpLpg"    column="hp_lpg"    />
        <result property="hpSub"    column="hp_sub"    />
        <result property="hpNg"    column="hp_ng"    />
        <result property="hpJ1501"    column="hp_j1501"    />
        <result property="hpJ1504In"    column="hp_j1504_in"    />
        <result property="hpJ1504Out"    column="hp_j1504_out"    />
        <result property="hpUser"    column="hp_user"    />
        <result property="mpNcipMp"    column="mp_ncip_mp"    />
        <result property="mp150511"    column="mp150511"    />
        <result property="mp150512"    column="mp150512"    />
        <result property="mpPpMp"    column="mp_pp_mp"    />
        <result property="mpP9801In"    column="mp_p9801_in"    />
        <result property="mpP9801Out"    column="mp_p9801_out"    />
        <result property="mpJ1502"    column="mp_j1502"    />
        <result property="mpUser"    column="mp_user"    />
        <result property="lpPpLp"    column="lp_pp_lp"    />
        <result property="lpEmpty"    column="lp_empty"    />
        <result property="lpMpLetdown"    column="lp_mp_letdown"    />
        <result property="lpJ1509"    column="lp_j1509"    />
        <result property="lpJ1503"    column="lp_j1503"    />
        <result property="lpLdpeTs"    column="lp_ldpe_ts"    />
        <result property="lpLdpeDm"    column="lp_ldpe_dm"    />
        <result property="lpUser"    column="lp_user"    />
        <result property="bccSyn"    column="bcc_syn"    />
        <result property="bccYpc"    column="bcc_ypc"    />
        <result property="hrsg1SmokeConvert"    column="hrsg1_smoke_convert"    />
        <result property="hrsg1So2Convert"    column="hrsg1_so2_convert"    />
        <result property="hrsg1NoxConvert"    column="hrsg1_nox_convert"    />
        <result property="hrsg2SmokeConvert"    column="hrsg2_smoke_convert"    />
        <result property="hrsg2So2Convert"    column="hrsg2_so2_convert"    />
        <result property="hrsg2NoxConvert"    column="hrsg2_nox_convert"    />
        <result property="hrsg3SmokeConvert"    column="hrsg3_smoke_convert"    />
        <result property="hrsg3So2Convert"    column="hrsg3_so2_convert"    />
        <result property="hrsg3NoxConvert"    column="hrsg3_nox_convert"    />
        <result property="rainPh"    column="rain_ph"    />
        <result property="rainCod"    column="rain_cod"    />
        <result property="wastePh"    column="waste_ph"    />
        <result property="wasteCod"    column="waste_cod"    />
        <result property="gtg45ha1"    column="gtg45ha1"    />
        <result property="gtg45ha2"    column="gtg45ha2"    />
        <result property="gtg45ha3"    column="gtg45ha3"    />
        <result property="gtg45ha4"    column="gtg45ha4"    />
        <result property="gtg45ha5"    column="gtg45ha5"    />
        <result property="gtg45ha6"    column="gtg45ha6"    />
        <result property="gtg45ha7"    column="gtg45ha7"    />
        <result property="gtg45ha8"    column="gtg45ha8"    />
        <result property="gtg45ha9"    column="gtg45ha9"    />
        <result property="gtg45ht1"    column="gtg45ht1"    />
        <result property="gtg45ht2"    column="gtg45ht2"    />
        <result property="gtg45ht3"    column="gtg45ht3"    />
        <result property="gtg45ht4"    column="gtg45ht4"    />
        <result property="gtg45ht5"    column="gtg45ht5"    />
        <result property="gtg45ht6"    column="gtg45ht6"    />
        <result property="qt61001"    column="qt61001"    />
        <result property="qt61002"    column="qt61002"    />
        <result property="qt61003"    column="qt61003"    />
        <result property="qt61004"    column="qt61004"    />
        <result property="qt61005"    column="qt61005"    />
        <result property="qt61101"    column="qt61101"    />
        <result property="qt61102"    column="qt61102"    />
        <result property="qt61103"    column="qt61103"    />
        <result property="qt61104"    column="qt61104"    />
        <result property="qt61105"    column="qt61105"    />
        <result property="qt76001"    column="qt76001"    />
        <result property="qt76002"    column="qt76002"    />
        <result property="qt76041"    column="qt76041"    />
        <result property="qt80001"    column="qt80001"    />
        <result property="qt80002"    column="qt80002"    />
        <result property="qt80003"    column="qt80003"    />
        <result property="qt91001"    column="qt91001"    />
        <result property="qt91002"    column="qt91002"    />
        <result property="qt91003"    column="qt91003"    />
        <result property="qt91004"    column="qt91004"    />
        <result property="qt91005"    column="qt91005"    />
        <result property="qt91006"    column="qt91006"    />
        <result property="qt91011"    column="qt91011"    />
        <result property="qt91012"    column="qt91012"    />
        <result property="qt91013"    column="qt91013"    />
        <result property="at83001"    column="at83001"    />
        <result property="at83002"    column="at83002"    />
        <result property="at83003"    column="at83003"    />
        <result property="at83004"    column="at83004"    />
        <result property="qt12001"    column="qt12001"    />
        <result property="qt12501"    column="qt12501"    />
        <result property="qt12502"    column="qt12502"    />
        <result property="qt22001"    column="qt22001"    />
        <result property="qt22501"    column="qt22501"    />
        <result property="qt22502"    column="qt22502"    />
        <result property="qt32001"    column="qt32001"    />
        <result property="qt32002"    column="qt32002"    />
        <result property="qt32005"    column="qt32005"    />
        <result property="qt32003"    column="qt32003"    />
        <result property="qt32004"    column="qt32004"    />
        <result property="ai82002"    column="ai82002"    />
        <result property="ai82003"    column="ai82003"    />
        <result property="ai82004"    column="ai82004"    />
        <result property="ai82005"    column="ai82005"    />
        <result property="ai82006"    column="ai82006"    />
        <result property="ai82007"    column="ai82007"    />
        <result property="ai82008"    column="ai82008"    />
        <result property="ai82009"    column="ai82009"    />
        <result property="ai82010"    column="ai82010"    />
        <result property="ai82011"    column="ai82011"    />
        <result property="ai82101"    column="ai82101"    />
        <result property="ai82102"    column="ai82102"    />
        <result property="ai82103"    column="ai82103"    />
        <result property="ai82104"    column="ai82104"    />
        <result property="ai82105"    column="ai82105"    />
        <result property="ai82106"    column="ai82106"    />
        <result property="ai82107"    column="ai82107"    />
        <result property="ai82108"    column="ai82108"    />
        <result property="ai82109"    column="ai82109"    />
        <result property="ai82110"    column="ai82110"    />
        <result property="ai82111"    column="ai82111"    />
        <result property="ai82112"    column="ai82112"    />
        <result property="ai82113"    column="ai82113"    />
        <result property="hrsg1Ai82201"    column="hrsg1_ai82201"    />
        <result property="hrsg1Ai82202"    column="hrsg1_ai82202"    />
        <result property="hrsg1Ai82203"    column="hrsg1_ai82203"    />
        <result property="hrsg1Ai82204"    column="hrsg1_ai82204"    />
        <result property="hrsg1Ai82205"    column="hrsg1_ai82205"    />
        <result property="hrsg1Ai82206"    column="hrsg1_ai82206"    />
        <result property="hrsg1Ai82207"    column="hrsg1_ai82207"    />
        <result property="hrsg1Ai82208"    column="hrsg1_ai82208"    />
        <result property="hrsg1Ai82209"    column="hrsg1_ai82209"    />
        <result property="hrsg1Ai82210"    column="hrsg1_ai82210"    />
        <result property="hrsg1Ai82211"    column="hrsg1_ai82211"    />
        <result property="hrsg1Ai82212"    column="hrsg1_ai82212"    />
        <result property="hrsg1Air12551"    column="hrsg1_air12551"    />
        <result property="hrsg1Air12552"    column="hrsg1_air12552"    />
        <result property="hrsg1Air12553"    column="hrsg1_air12553"    />
        <result property="hrsg1Air12554"    column="hrsg1_air12554"    />
        <result property="hrsg1Air12555"    column="hrsg1_air12555"    />
        <result property="hrsg1Air12556"    column="hrsg1_air12556"    />
        <result property="hrsg1Air12557"    column="hrsg1_air12557"    />
        <result property="hrsg1Air12558"    column="hrsg1_air12558"    />
        <result property="hrsg2Ai82301"    column="hrsg2_ai82301"    />
        <result property="hrsg2Ai82302"    column="hrsg2_ai82302"    />
        <result property="hrsg2Ai82303"    column="hrsg2_ai82303"    />
        <result property="hrsg2Ai82304"    column="hrsg2_ai82304"    />
        <result property="hrsg2Ai82305"    column="hrsg2_ai82305"    />
        <result property="hrsg2Ai82306"    column="hrsg2_ai82306"    />
        <result property="hrsg2Ai82307"    column="hrsg2_ai82307"    />
        <result property="hrsg2Ai82308"    column="hrsg2_ai82308"    />
        <result property="hrsg2Ai82309"    column="hrsg2_ai82309"    />
        <result property="hrsg2Ai82310"    column="hrsg2_ai82310"    />
        <result property="hrsg2Ai82311"    column="hrsg2_ai82311"    />
        <result property="hrsg2Ai82312"    column="hrsg2_ai82312"    />
        <result property="hrsg2Air22551"    column="hrsg2_air22551"    />
        <result property="hrsg2Air22552"    column="hrsg2_air22552"    />
        <result property="hrsg2Air22553"    column="hrsg2_air22553"    />
        <result property="hrsg2Air22554"    column="hrsg2_air22554"    />
        <result property="hrsg2Air22555"    column="hrsg2_air22555"    />
        <result property="hrsg2Air22556"    column="hrsg2_air22556"    />
        <result property="hrsg2Air22557"    column="hrsg2_air22557"    />
        <result property="hrsg2Air22558"    column="hrsg2_air22558"    />
        <result property="hrsg2Qi22240"    column="hrsg2_qi22240"    />
        <result property="hrsg2Qi22241"    column="hrsg2_qi22241"    />
        <result property="hrsg2Qi22242"    column="hrsg2_qi22242"    />
        <result property="hrsg3Ai82401"    column="hrsg3_ai82401"    />
        <result property="hrsg3Ai82402"    column="hrsg3_ai82402"    />
        <result property="hrsg3Ai82403"    column="hrsg3_ai82403"    />
        <result property="hrsg3Ai82404"    column="hrsg3_ai82404"    />
        <result property="hrsg3Ai82405"    column="hrsg3_ai82405"    />
        <result property="hrsg3Ai82406"    column="hrsg3_ai82406"    />
        <result property="hrsg3Ai82407"    column="hrsg3_ai82407"    />
        <result property="hrsg3Ai82408"    column="hrsg3_ai82408"    />
        <result property="hrsg3Ai82409"    column="hrsg3_ai82409"    />
        <result property="hrsg3Ai82410"    column="hrsg3_ai82410"    />
        <result property="hrsg3Ai82411"    column="hrsg3_ai82411"    />
        <result property="hrsg3Ai82412"    column="hrsg3_ai82412"    />
        <result property="hrsg3Air32551"    column="hrsg3_air32551"    />
        <result property="hrsg3Air32552"    column="hrsg3_air32552"    />
        <result property="hrsg3Air32553"    column="hrsg3_air32553"    />
        <result property="hrsg3Air32554"    column="hrsg3_air32554"    />
        <result property="hrsg3Air32555"    column="hrsg3_air32555"    />
        <result property="hrsg3Air32556"    column="hrsg3_air32556"    />
        <result property="hrsg3Air32557"    column="hrsg3_air32557"    />
        <result property="hrsg3Air32558"    column="hrsg3_air32558"    />
        <result property="hrsg3Qi32240"    column="hrsg3_qi32240"    />
        <result property="hrsg3Qi32241"    column="hrsg3_qi32241"    />
        <result property="hrsg3Qi32242"    column="hrsg3_qi32242"    />
        <result property="totalEfficiency"    column="total_efficiency"    />
        <result property="deptName" column="dept_name" />
    </resultMap>

    <sql id="selectTElecdashboardDayVo">
        select d.id, d.gas_yesterday, d.pull_date, d.gtg1_power_gen_level, d.gtg1_efficiency, d.gtg2_power_gen_level, d.gtg2_efficiency, d.gtg3_power_gen_level, d.gtg3_efficiency, d.stg_power_gen_level, d.stg_efficiency, d.total_power_gen, d.steam_hhp, d.steam_hp, d.steam_mp, d.steam_lp, d.gas_real_time, d.gas_left, d.gas_used, d.gas_plan, d.gas_elec, d.gas_syn_gas, d.gas_u2, d.gas_styrene, d.elec_power_gen, d.elec_power_switch, d.elec_used, d.elec_diff, d.elec_byc_used, d.elec_boc_used, d.carbon_used, d.carbon_real_time, d.sub, d.sub_furnace_load, d.hhp_pphhp, d.hhp_aaae, d.hhp_gaa, d.hhp_syn, d.hhp_p3802, d.hp_lpg, d.hp_sub, d.hp_ng, d.hp_j1501, d.hp_j1504_in, d.hp_j1504_out, d.hp_user, d.mp_ncip_mp, d.mp150511, d.mp150512, d.mp_pp_mp, d.mp_p9801_in, d.mp_p9801_out, d.mp_j1502, d.mp_user, d.lp_pp_lp, d.lp_empty, d.lp_mp_letdown, d.lp_j1509, d.lp_j1503, d.lp_ldpe_ts, d.lp_ldpe_dm, d.lp_user, d.bcc_syn, d.bcc_ypc, d.hrsg1_smoke_convert, d.hrsg1_so2_convert, d.hrsg1_nox_convert, d.hrsg2_smoke_convert, d.hrsg2_so2_convert, d.hrsg2_nox_convert, d.hrsg3_smoke_convert, d.hrsg3_so2_convert, d.hrsg3_nox_convert, d.rain_ph, d.rain_cod, d.waste_ph, d.waste_cod, d.gtg45ha1, d.gtg45ha2, d.gtg45ha3, d.gtg45ha4, d.gtg45ha5, d.gtg45ha6, d.gtg45ha7, d.gtg45ha8, d.gtg45ha9, d.gtg45ht1, d.gtg45ht2, d.gtg45ht3, d.gtg45ht4, d.gtg45ht5, d.gtg45ht6, d.qt61001, d.qt61002, d.qt61003, d.qt61004, d.qt61005, d.qt61101, d.qt61102, d.qt61103, d.qt61104, d.qt61105, d.qt76001, d.qt76002, d.qt76041, d.qt80001, d.qt80002, d.qt80003, d.qt91001, d.qt91002, d.qt91003, d.qt91004, d.qt91005, d.qt91006, d.qt91011, d.qt91012, d.qt91013, d.at83001, d.at83002, d.at83003, d.at83004, d.qt12001, d.qt12501, d.qt12502, d.qt22001, d.qt22501, d.qt22502, d.qt32001, d.qt32002, d.qt32005, d.qt32003, d.qt32004, d.ai82002, d.ai82003, d.ai82004, d.ai82005, d.ai82006, d.ai82007, d.ai82008, d.ai82009, d.ai82010, d.ai82011, d.ai82101, d.ai82102, d.ai82103, d.ai82104, d.ai82105, d.ai82106, d.ai82107, d.ai82108, d.ai82109, d.ai82110, d.ai82111, d.ai82112, d.ai82113, d.hrsg1_ai82201, d.hrsg1_ai82202, d.hrsg1_ai82203, d.hrsg1_ai82204, d.hrsg1_ai82205, d.hrsg1_ai82206, d.hrsg1_ai82207, d.hrsg1_ai82208, d.hrsg1_ai82209, d.hrsg1_ai82210, d.hrsg1_ai82211, d.hrsg1_ai82212, d.hrsg1_air12551, d.hrsg1_air12552, d.hrsg1_air12553, d.hrsg1_air12554, d.hrsg1_air12555, d.hrsg1_air12556, d.hrsg1_air12557, d.hrsg1_air12558, d.hrsg2_ai82301, d.hrsg2_ai82302, d.hrsg2_ai82303, d.hrsg2_ai82304, d.hrsg2_ai82305, d.hrsg2_ai82306, d.hrsg2_ai82307, d.hrsg2_ai82308, d.hrsg2_ai82309, d.hrsg2_ai82310, d.hrsg2_ai82311, d.hrsg2_ai82312, d.hrsg2_air22551, d.hrsg2_air22552, d.hrsg2_air22553, d.hrsg2_air22554, d.hrsg2_air22555, d.hrsg2_air22556, d.hrsg2_air22557, d.hrsg2_air22558, d.hrsg2_qi22240, d.hrsg2_qi22241, d.hrsg2_qi22242, d.hrsg3_ai82401, d.hrsg3_ai82402, d.hrsg3_ai82403, d.hrsg3_ai82404, d.hrsg3_ai82405, d.hrsg3_ai82406, d.hrsg3_ai82407, d.hrsg3_ai82408, d.hrsg3_ai82409, d.hrsg3_ai82410, d.hrsg3_ai82411, d.hrsg3_ai82412, d.hrsg3_air32551, d.hrsg3_air32552, d.hrsg3_air32553, d.hrsg3_air32554, d.hrsg3_air32555, d.hrsg3_air32556, d.hrsg3_air32557, d.hrsg3_air32558, d.hrsg3_qi32240, d.hrsg3_qi32241, d.hrsg3_qi32242, d.total_efficiency from t_elecdashboard_day d
    </sql>

    <!-- 查询日期最靠前的30条电厂大屏每日数据 -->
    <select id="selectTElecdashboardDayListLatest30" resultMap="TElecdashboardDayResult">
        select * from (
        <include refid="selectTElecdashboardDayVo"/>
        order by d.pull_date desc
        ) where ROWNUM &lt;= 30
    </select>

    <!-- 查询日期最靠前的7条电厂大屏每日数据 -->
    <select id="selectTElecdashboardDayListLatest7" resultMap="TElecdashboardDayResult">
        select * from (
          <include refid="selectTElecdashboardDayVo"/>
          order by d.pull_date desc
        ) where ROWNUM &lt;= 7
    </select>

    <select id="selectTElecdashboardDayList" parameterType="TElecdashboardDay" resultMap="TElecdashboardDayResult">
        <include refid="selectTElecdashboardDayVo"/>
        <where>  
            <if test="pullDate != null "> and pull_date = #{pullDate}</if>
            <if test="gtg1PowerGenLevel != null  and gtg1PowerGenLevel != ''"> and gtg1_power_gen_level = #{gtg1PowerGenLevel}</if>
            <if test="gtg1Efficiency != null  and gtg1Efficiency != ''"> and gtg1_efficiency = #{gtg1Efficiency}</if>
            <if test="gtg2PowerGenLevel != null  and gtg2PowerGenLevel != ''"> and gtg2_power_gen_level = #{gtg2PowerGenLevel}</if>
            <if test="gtg2Efficiency != null  and gtg2Efficiency != ''"> and gtg2_efficiency = #{gtg2Efficiency}</if>
            <if test="gtg3PowerGenLevel != null  and gtg3PowerGenLevel != ''"> and gtg3_power_gen_level = #{gtg3PowerGenLevel}</if>
            <if test="gtg3Efficiency != null  and gtg3Efficiency != ''"> and gtg3_efficiency = #{gtg3Efficiency}</if>
            <if test="stgPowerGenLevel != null  and stgPowerGenLevel != ''"> and stg_power_gen_level = #{stgPowerGenLevel}</if>
            <if test="stgEfficiency != null  and stgEfficiency != ''"> and stg_efficiency = #{stgEfficiency}</if>
            <if test="totalPowerGen != null  and totalPowerGen != ''"> and total_power_gen = #{totalPowerGen}</if>
            <if test="steamHhp != null  and steamHhp != ''"> and steam_hhp = #{steamHhp}</if>
            <if test="steamHp != null  and steamHp != ''"> and steam_hp = #{steamHp}</if>
            <if test="steamMp != null  and steamMp != ''"> and steam_mp = #{steamMp}</if>
            <if test="steamLp != null  and steamLp != ''"> and steam_lp = #{steamLp}</if>
            <if test="gasRealTime != null  and gasRealTime != ''"> and gas_real_time = #{gasRealTime}</if>
            <if test="gasLeft != null  and gasLeft != ''"> and gas_left = #{gasLeft}</if>
            <if test="gasUsed != null  and gasUsed != ''"> and gas_used = #{gasUsed}</if>
            <if test="gasPlan != null  and gasPlan != ''"> and gas_plan = #{gasPlan}</if>
            <if test="gasElec != null  and gasElec != ''"> and gas_elec = #{gasElec}</if>
            <if test="gasSynGas != null  and gasSynGas != ''"> and gas_syn_gas = #{gasSynGas}</if>
            <if test="gasU2 != null  and gasU2 != ''"> and gas_u2 = #{gasU2}</if>
            <if test="gasStyrene != null  and gasStyrene != ''"> and gas_styrene = #{gasStyrene}</if>
            <if test="elecPowerGen != null  and elecPowerGen != ''"> and elec_power_gen = #{elecPowerGen}</if>
            <if test="elecPowerSwitch != null  and elecPowerSwitch != ''"> and elec_power_switch = #{elecPowerSwitch}</if>
            <if test="elecUsed != null  and elecUsed != ''"> and elec_used = #{elecUsed}</if>
            <if test="elecDiff != null  and elecDiff != ''"> and elec_diff = #{elecDiff}</if>
            <if test="elecBycUsed != null  and elecBycUsed != ''"> and elec_byc_used = #{elecBycUsed}</if>
            <if test="elecBocUsed != null  and elecBocUsed != ''"> and elec_boc_used = #{elecBocUsed}</if>
            <if test="carbonUsed != null  and carbonUsed != ''"> and carbon_used = #{carbonUsed}</if>
            <if test="carbonRealTime != null  and carbonRealTime != ''"> and carbon_real_time = #{carbonRealTime}</if>
            <if test="sub != null  and sub != ''"> and sub = #{sub}</if>
            <if test="subFurnaceLoad != null  and subFurnaceLoad != ''"> and sub_furnace_load = #{subFurnaceLoad}</if>
            <if test="hhpPphhp != null  and hhpPphhp != ''"> and hhp_pphhp = #{hhpPphhp}</if>
            <if test="hhpAaae != null  and hhpAaae != ''"> and hhp_aaae = #{hhpAaae}</if>
            <if test="hhpGaa != null  and hhpGaa != ''"> and hhp_gaa = #{hhpGaa}</if>
            <if test="hhpSyn != null  and hhpSyn != ''"> and hhp_syn = #{hhpSyn}</if>
            <if test="hhpP3802 != null  and hhpP3802 != ''"> and hhp_p3802 = #{hhpP3802}</if>
            <if test="hpLpg != null  and hpLpg != ''"> and hp_lpg = #{hpLpg}</if>
            <if test="hpSub != null  and hpSub != ''"> and hp_sub = #{hpSub}</if>
            <if test="hpNg != null  and hpNg != ''"> and hp_ng = #{hpNg}</if>
            <if test="hpJ1501 != null  and hpJ1501 != ''"> and hp_j1501 = #{hpJ1501}</if>
            <if test="hpJ1504In != null  and hpJ1504In != ''"> and hp_j1504_in = #{hpJ1504In}</if>
            <if test="hpJ1504Out != null  and hpJ1504Out != ''"> and hp_j1504_out = #{hpJ1504Out}</if>
            <if test="hpUser != null  and hpUser != ''"> and hp_user = #{hpUser}</if>
            <if test="mpNcipMp != null  and mpNcipMp != ''"> and mp_ncip_mp = #{mpNcipMp}</if>
            <if test="mp150511 != null  and mp150511 != ''"> and mp150511 = #{mp150511}</if>
            <if test="mp150512 != null  and mp150512 != ''"> and mp150512 = #{mp150512}</if>
            <if test="mpPpMp != null  and mpPpMp != ''"> and mp_pp_mp = #{mpPpMp}</if>
            <if test="mpP9801In != null  and mpP9801In != ''"> and mp_p9801_in = #{mpP9801In}</if>
            <if test="mpP9801Out != null  and mpP9801Out != ''"> and mp_p9801_out = #{mpP9801Out}</if>
            <if test="mpJ1502 != null  and mpJ1502 != ''"> and mp_j1502 = #{mpJ1502}</if>
            <if test="mpUser != null  and mpUser != ''"> and mp_user = #{mpUser}</if>
            <if test="lpPpLp != null  and lpPpLp != ''"> and lp_pp_lp = #{lpPpLp}</if>
            <if test="lpEmpty != null  and lpEmpty != ''"> and lp_empty = #{lpEmpty}</if>
            <if test="lpMpLetdown != null  and lpMpLetdown != ''"> and lp_mp_letdown = #{lpMpLetdown}</if>
            <if test="lpJ1509 != null  and lpJ1509 != ''"> and lp_j1509 = #{lpJ1509}</if>
            <if test="lpJ1503 != null  and lpJ1503 != ''"> and lp_j1503 = #{lpJ1503}</if>
            <if test="lpLdpeTs != null  and lpLdpeTs != ''"> and lp_ldpe_ts = #{lpLdpeTs}</if>
            <if test="lpLdpeDm != null  and lpLdpeDm != ''"> and lp_ldpe_dm = #{lpLdpeDm}</if>
            <if test="lpUser != null  and lpUser != ''"> and lp_user = #{lpUser}</if>
            <if test="bccSyn != null  and bccSyn != ''"> and bcc_syn = #{bccSyn}</if>
            <if test="bccYpc != null  and bccYpc != ''"> and bcc_ypc = #{bccYpc}</if>
            <if test="hrsg1SmokeConvert != null  and hrsg1SmokeConvert != ''"> and hrsg1_smoke_convert = #{hrsg1SmokeConvert}</if>
            <if test="hrsg1So2Convert != null  and hrsg1So2Convert != ''"> and hrsg1_so2_convert = #{hrsg1So2Convert}</if>
            <if test="hrsg1NoxConvert != null  and hrsg1NoxConvert != ''"> and hrsg1_nox_convert = #{hrsg1NoxConvert}</if>
            <if test="hrsg2SmokeConvert != null  and hrsg2SmokeConvert != ''"> and hrsg2_smoke_convert = #{hrsg2SmokeConvert}</if>
            <if test="hrsg2So2Convert != null  and hrsg2So2Convert != ''"> and hrsg2_so2_convert = #{hrsg2So2Convert}</if>
            <if test="hrsg2NoxConvert != null  and hrsg2NoxConvert != ''"> and hrsg2_nox_convert = #{hrsg2NoxConvert}</if>
            <if test="hrsg3SmokeConvert != null  and hrsg3SmokeConvert != ''"> and hrsg3_smoke_convert = #{hrsg3SmokeConvert}</if>
            <if test="hrsg3So2Convert != null  and hrsg3So2Convert != ''"> and hrsg3_so2_convert = #{hrsg3So2Convert}</if>
            <if test="hrsg3NoxConvert != null  and hrsg3NoxConvert != ''"> and hrsg3_nox_convert = #{hrsg3NoxConvert}</if>
            <if test="rainPh != null  and rainPh != ''"> and rain_ph = #{rainPh}</if>
            <if test="rainCod != null  and rainCod != ''"> and rain_cod = #{rainCod}</if>
            <if test="wastePh != null  and wastePh != ''"> and waste_ph = #{wastePh}</if>
            <if test="wasteCod != null  and wasteCod != ''"> and waste_cod = #{wasteCod}</if>
            <if test="gtg45ha1 != null  and gtg45ha1 != ''"> and gtg45ha1 = #{gtg45ha1}</if>
            <if test="gtg45ha2 != null  and gtg45ha2 != ''"> and gtg45ha2 = #{gtg45ha2}</if>
            <if test="gtg45ha3 != null  and gtg45ha3 != ''"> and gtg45ha3 = #{gtg45ha3}</if>
            <if test="gtg45ha4 != null  and gtg45ha4 != ''"> and gtg45ha4 = #{gtg45ha4}</if>
            <if test="gtg45ha5 != null  and gtg45ha5 != ''"> and gtg45ha5 = #{gtg45ha5}</if>
            <if test="gtg45ha6 != null  and gtg45ha6 != ''"> and gtg45ha6 = #{gtg45ha6}</if>
            <if test="gtg45ha7 != null  and gtg45ha7 != ''"> and gtg45ha7 = #{gtg45ha7}</if>
            <if test="gtg45ha8 != null  and gtg45ha8 != ''"> and gtg45ha8 = #{gtg45ha8}</if>
            <if test="gtg45ha9 != null  and gtg45ha9 != ''"> and gtg45ha9 = #{gtg45ha9}</if>
            <if test="gtg45ht1 != null  and gtg45ht1 != ''"> and gtg45ht1 = #{gtg45ht1}</if>
            <if test="gtg45ht2 != null  and gtg45ht2 != ''"> and gtg45ht2 = #{gtg45ht2}</if>
            <if test="gtg45ht3 != null  and gtg45ht3 != ''"> and gtg45ht3 = #{gtg45ht3}</if>
            <if test="gtg45ht4 != null  and gtg45ht4 != ''"> and gtg45ht4 = #{gtg45ht4}</if>
            <if test="gtg45ht5 != null  and gtg45ht5 != ''"> and gtg45ht5 = #{gtg45ht5}</if>
            <if test="gtg45ht6 != null  and gtg45ht6 != ''"> and gtg45ht6 = #{gtg45ht6}</if>
            <if test="qt61001 != null  and qt61001 != ''"> and qt61001 = #{qt61001}</if>
            <if test="qt61002 != null  and qt61002 != ''"> and qt61002 = #{qt61002}</if>
            <if test="qt61003 != null  and qt61003 != ''"> and qt61003 = #{qt61003}</if>
            <if test="qt61004 != null  and qt61004 != ''"> and qt61004 = #{qt61004}</if>
            <if test="qt61005 != null  and qt61005 != ''"> and qt61005 = #{qt61005}</if>
            <if test="qt61101 != null  and qt61101 != ''"> and qt61101 = #{qt61101}</if>
            <if test="qt61102 != null  and qt61102 != ''"> and qt61102 = #{qt61102}</if>
            <if test="qt61103 != null  and qt61103 != ''"> and qt61103 = #{qt61103}</if>
            <if test="qt61104 != null  and qt61104 != ''"> and qt61104 = #{qt61104}</if>
            <if test="qt61105 != null  and qt61105 != ''"> and qt61105 = #{qt61105}</if>
            <if test="qt76001 != null  and qt76001 != ''"> and qt76001 = #{qt76001}</if>
            <if test="qt76002 != null  and qt76002 != ''"> and qt76002 = #{qt76002}</if>
            <if test="qt76041 != null  and qt76041 != ''"> and qt76041 = #{qt76041}</if>
            <if test="qt80001 != null  and qt80001 != ''"> and qt80001 = #{qt80001}</if>
            <if test="qt80002 != null  and qt80002 != ''"> and qt80002 = #{qt80002}</if>
            <if test="qt80003 != null  and qt80003 != ''"> and qt80003 = #{qt80003}</if>
            <if test="qt91001 != null  and qt91001 != ''"> and qt91001 = #{qt91001}</if>
            <if test="qt91002 != null  and qt91002 != ''"> and qt91002 = #{qt91002}</if>
            <if test="qt91003 != null  and qt91003 != ''"> and qt91003 = #{qt91003}</if>
            <if test="qt91004 != null  and qt91004 != ''"> and qt91004 = #{qt91004}</if>
            <if test="qt91005 != null  and qt91005 != ''"> and qt91005 = #{qt91005}</if>
            <if test="qt91006 != null  and qt91006 != ''"> and qt91006 = #{qt91006}</if>
            <if test="qt91011 != null  and qt91011 != ''"> and qt91011 = #{qt91011}</if>
            <if test="qt91012 != null  and qt91012 != ''"> and qt91012 = #{qt91012}</if>
            <if test="qt91013 != null  and qt91013 != ''"> and qt91013 = #{qt91013}</if>
            <if test="at83001 != null  and at83001 != ''"> and at83001 = #{at83001}</if>
            <if test="at83002 != null  and at83002 != ''"> and at83002 = #{at83002}</if>
            <if test="at83003 != null  and at83003 != ''"> and at83003 = #{at83003}</if>
            <if test="at83004 != null  and at83004 != ''"> and at83004 = #{at83004}</if>
            <if test="qt12001 != null  and qt12001 != ''"> and qt12001 = #{qt12001}</if>
            <if test="qt12501 != null  and qt12501 != ''"> and qt12501 = #{qt12501}</if>
            <if test="qt12502 != null  and qt12502 != ''"> and qt12502 = #{qt12502}</if>
            <if test="qt22001 != null  and qt22001 != ''"> and qt22001 = #{qt22001}</if>
            <if test="qt22501 != null  and qt22501 != ''"> and qt22501 = #{qt22501}</if>
            <if test="qt22502 != null  and qt22502 != ''"> and qt22502 = #{qt22502}</if>
            <if test="qt32001 != null  and qt32001 != ''"> and qt32001 = #{qt32001}</if>
            <if test="qt32002 != null  and qt32002 != ''"> and qt32002 = #{qt32002}</if>
            <if test="qt32005 != null  and qt32005 != ''"> and qt32005 = #{qt32005}</if>
            <if test="qt32003 != null  and qt32003 != ''"> and qt32003 = #{qt32003}</if>
            <if test="qt32004 != null  and qt32004 != ''"> and qt32004 = #{qt32004}</if>
            <if test="ai82002 != null  and ai82002 != ''"> and ai82002 = #{ai82002}</if>
            <if test="ai82003 != null  and ai82003 != ''"> and ai82003 = #{ai82003}</if>
            <if test="ai82004 != null  and ai82004 != ''"> and ai82004 = #{ai82004}</if>
            <if test="ai82005 != null  and ai82005 != ''"> and ai82005 = #{ai82005}</if>
            <if test="ai82006 != null  and ai82006 != ''"> and ai82006 = #{ai82006}</if>
            <if test="ai82007 != null  and ai82007 != ''"> and ai82007 = #{ai82007}</if>
            <if test="ai82008 != null  and ai82008 != ''"> and ai82008 = #{ai82008}</if>
            <if test="ai82009 != null  and ai82009 != ''"> and ai82009 = #{ai82009}</if>
            <if test="ai82010 != null  and ai82010 != ''"> and ai82010 = #{ai82010}</if>
            <if test="ai82011 != null  and ai82011 != ''"> and ai82011 = #{ai82011}</if>
            <if test="ai82101 != null  and ai82101 != ''"> and ai82101 = #{ai82101}</if>
            <if test="ai82102 != null  and ai82102 != ''"> and ai82102 = #{ai82102}</if>
            <if test="ai82103 != null  and ai82103 != ''"> and ai82103 = #{ai82103}</if>
            <if test="ai82104 != null  and ai82104 != ''"> and ai82104 = #{ai82104}</if>
            <if test="ai82105 != null  and ai82105 != ''"> and ai82105 = #{ai82105}</if>
            <if test="ai82106 != null  and ai82106 != ''"> and ai82106 = #{ai82106}</if>
            <if test="ai82107 != null  and ai82107 != ''"> and ai82107 = #{ai82107}</if>
            <if test="ai82108 != null  and ai82108 != ''"> and ai82108 = #{ai82108}</if>
            <if test="ai82109 != null  and ai82109 != ''"> and ai82109 = #{ai82109}</if>
            <if test="ai82110 != null  and ai82110 != ''"> and ai82110 = #{ai82110}</if>
            <if test="ai82111 != null  and ai82111 != ''"> and ai82111 = #{ai82111}</if>
            <if test="ai82112 != null  and ai82112 != ''"> and ai82112 = #{ai82112}</if>
            <if test="ai82113 != null  and ai82113 != ''"> and ai82113 = #{ai82113}</if>
            <if test="hrsg1Ai82201 != null  and hrsg1Ai82201 != ''"> and hrsg1_ai82201 = #{hrsg1Ai82201}</if>
            <if test="hrsg1Ai82202 != null  and hrsg1Ai82202 != ''"> and hrsg1_ai82202 = #{hrsg1Ai82202}</if>
            <if test="hrsg1Ai82203 != null  and hrsg1Ai82203 != ''"> and hrsg1_ai82203 = #{hrsg1Ai82203}</if>
            <if test="hrsg1Ai82204 != null  and hrsg1Ai82204 != ''"> and hrsg1_ai82204 = #{hrsg1Ai82204}</if>
            <if test="hrsg1Ai82205 != null  and hrsg1Ai82205 != ''"> and hrsg1_ai82205 = #{hrsg1Ai82205}</if>
            <if test="hrsg1Ai82206 != null  and hrsg1Ai82206 != ''"> and hrsg1_ai82206 = #{hrsg1Ai82206}</if>
            <if test="hrsg1Ai82207 != null  and hrsg1Ai82207 != ''"> and hrsg1_ai82207 = #{hrsg1Ai82207}</if>
            <if test="hrsg1Ai82208 != null  and hrsg1Ai82208 != ''"> and hrsg1_ai82208 = #{hrsg1Ai82208}</if>
            <if test="hrsg1Ai82209 != null  and hrsg1Ai82209 != ''"> and hrsg1_ai82209 = #{hrsg1Ai82209}</if>
            <if test="hrsg1Ai82210 != null  and hrsg1Ai82210 != ''"> and hrsg1_ai82210 = #{hrsg1Ai82210}</if>
            <if test="hrsg1Ai82211 != null  and hrsg1Ai82211 != ''"> and hrsg1_ai82211 = #{hrsg1Ai82211}</if>
            <if test="hrsg1Ai82212 != null  and hrsg1Ai82212 != ''"> and hrsg1_ai82212 = #{hrsg1Ai82212}</if>
            <if test="hrsg1Air12551 != null  and hrsg1Air12551 != ''"> and hrsg1_air12551 = #{hrsg1Air12551}</if>
            <if test="hrsg1Air12552 != null  and hrsg1Air12552 != ''"> and hrsg1_air12552 = #{hrsg1Air12552}</if>
            <if test="hrsg1Air12553 != null  and hrsg1Air12553 != ''"> and hrsg1_air12553 = #{hrsg1Air12553}</if>
            <if test="hrsg1Air12554 != null  and hrsg1Air12554 != ''"> and hrsg1_air12554 = #{hrsg1Air12554}</if>
            <if test="hrsg1Air12555 != null  and hrsg1Air12555 != ''"> and hrsg1_air12555 = #{hrsg1Air12555}</if>
            <if test="hrsg1Air12556 != null  and hrsg1Air12556 != ''"> and hrsg1_air12556 = #{hrsg1Air12556}</if>
            <if test="hrsg1Air12557 != null  and hrsg1Air12557 != ''"> and hrsg1_air12557 = #{hrsg1Air12557}</if>
            <if test="hrsg1Air12558 != null  and hrsg1Air12558 != ''"> and hrsg1_air12558 = #{hrsg1Air12558}</if>
            <if test="hrsg2Ai82301 != null  and hrsg2Ai82301 != ''"> and hrsg2_ai82301 = #{hrsg2Ai82301}</if>
            <if test="hrsg2Ai82302 != null  and hrsg2Ai82302 != ''"> and hrsg2_ai82302 = #{hrsg2Ai82302}</if>
            <if test="hrsg2Ai82303 != null  and hrsg2Ai82303 != ''"> and hrsg2_ai82303 = #{hrsg2Ai82303}</if>
            <if test="hrsg2Ai82304 != null  and hrsg2Ai82304 != ''"> and hrsg2_ai82304 = #{hrsg2Ai82304}</if>
            <if test="hrsg2Ai82305 != null  and hrsg2Ai82305 != ''"> and hrsg2_ai82305 = #{hrsg2Ai82305}</if>
            <if test="hrsg2Ai82306 != null  and hrsg2Ai82306 != ''"> and hrsg2_ai82306 = #{hrsg2Ai82306}</if>
            <if test="hrsg2Ai82307 != null  and hrsg2Ai82307 != ''"> and hrsg2_ai82307 = #{hrsg2Ai82307}</if>
            <if test="hrsg2Ai82308 != null  and hrsg2Ai82308 != ''"> and hrsg2_ai82308 = #{hrsg2Ai82308}</if>
            <if test="hrsg2Ai82309 != null  and hrsg2Ai82309 != ''"> and hrsg2_ai82309 = #{hrsg2Ai82309}</if>
            <if test="hrsg2Ai82310 != null  and hrsg2Ai82310 != ''"> and hrsg2_ai82310 = #{hrsg2Ai82310}</if>
            <if test="hrsg2Ai82311 != null  and hrsg2Ai82311 != ''"> and hrsg2_ai82311 = #{hrsg2Ai82311}</if>
            <if test="hrsg2Ai82312 != null  and hrsg2Ai82312 != ''"> and hrsg2_ai82312 = #{hrsg2Ai82312}</if>
            <if test="hrsg2Air22551 != null  and hrsg2Air22551 != ''"> and hrsg2_air22551 = #{hrsg2Air22551}</if>
            <if test="hrsg2Air22552 != null  and hrsg2Air22552 != ''"> and hrsg2_air22552 = #{hrsg2Air22552}</if>
            <if test="hrsg2Air22553 != null  and hrsg2Air22553 != ''"> and hrsg2_air22553 = #{hrsg2Air22553}</if>
            <if test="hrsg2Air22554 != null  and hrsg2Air22554 != ''"> and hrsg2_air22554 = #{hrsg2Air22554}</if>
            <if test="hrsg2Air22555 != null  and hrsg2Air22555 != ''"> and hrsg2_air22555 = #{hrsg2Air22555}</if>
            <if test="hrsg2Air22556 != null  and hrsg2Air22556 != ''"> and hrsg2_air22556 = #{hrsg2Air22556}</if>
            <if test="hrsg2Air22557 != null  and hrsg2Air22557 != ''"> and hrsg2_air22557 = #{hrsg2Air22557}</if>
            <if test="hrsg2Air22558 != null  and hrsg2Air22558 != ''"> and hrsg2_air22558 = #{hrsg2Air22558}</if>
            <if test="hrsg2Qi22240 != null  and hrsg2Qi22240 != ''"> and hrsg2_qi22240 = #{hrsg2Qi22240}</if>
            <if test="hrsg2Qi22241 != null  and hrsg2Qi22241 != ''"> and hrsg2_qi22241 = #{hrsg2Qi22241}</if>
            <if test="hrsg2Qi22242 != null  and hrsg2Qi22242 != ''"> and hrsg2_qi22242 = #{hrsg2Qi22242}</if>
            <if test="hrsg3Ai82401 != null  and hrsg3Ai82401 != ''"> and hrsg3_ai82401 = #{hrsg3Ai82401}</if>
            <if test="hrsg3Ai82402 != null  and hrsg3Ai82402 != ''"> and hrsg3_ai82402 = #{hrsg3Ai82402}</if>
            <if test="hrsg3Ai82403 != null  and hrsg3Ai82403 != ''"> and hrsg3_ai82403 = #{hrsg3Ai82403}</if>
            <if test="hrsg3Ai82404 != null  and hrsg3Ai82404 != ''"> and hrsg3_ai82404 = #{hrsg3Ai82404}</if>
            <if test="hrsg3Ai82405 != null  and hrsg3Ai82405 != ''"> and hrsg3_ai82405 = #{hrsg3Ai82405}</if>
            <if test="hrsg3Ai82406 != null  and hrsg3Ai82406 != ''"> and hrsg3_ai82406 = #{hrsg3Ai82406}</if>
            <if test="hrsg3Ai82407 != null  and hrsg3Ai82407 != ''"> and hrsg3_ai82407 = #{hrsg3Ai82407}</if>
            <if test="hrsg3Ai82408 != null  and hrsg3Ai82408 != ''"> and hrsg3_ai82408 = #{hrsg3Ai82408}</if>
            <if test="hrsg3Ai82409 != null  and hrsg3Ai82409 != ''"> and hrsg3_ai82409 = #{hrsg3Ai82409}</if>
            <if test="hrsg3Ai82410 != null  and hrsg3Ai82410 != ''"> and hrsg3_ai82410 = #{hrsg3Ai82410}</if>
            <if test="hrsg3Ai82411 != null  and hrsg3Ai82411 != ''"> and hrsg3_ai82411 = #{hrsg3Ai82411}</if>
            <if test="hrsg3Ai82412 != null  and hrsg3Ai82412 != ''"> and hrsg3_ai82412 = #{hrsg3Ai82412}</if>
            <if test="hrsg3Air32551 != null  and hrsg3Air32551 != ''"> and hrsg3_air32551 = #{hrsg3Air32551}</if>
            <if test="hrsg3Air32552 != null  and hrsg3Air32552 != ''"> and hrsg3_air32552 = #{hrsg3Air32552}</if>
            <if test="hrsg3Air32553 != null  and hrsg3Air32553 != ''"> and hrsg3_air32553 = #{hrsg3Air32553}</if>
            <if test="hrsg3Air32554 != null  and hrsg3Air32554 != ''"> and hrsg3_air32554 = #{hrsg3Air32554}</if>
            <if test="hrsg3Air32555 != null  and hrsg3Air32555 != ''"> and hrsg3_air32555 = #{hrsg3Air32555}</if>
            <if test="hrsg3Air32556 != null  and hrsg3Air32556 != ''"> and hrsg3_air32556 = #{hrsg3Air32556}</if>
            <if test="hrsg3Air32557 != null  and hrsg3Air32557 != ''"> and hrsg3_air32557 = #{hrsg3Air32557}</if>
            <if test="hrsg3Air32558 != null  and hrsg3Air32558 != ''"> and hrsg3_air32558 = #{hrsg3Air32558}</if>
            <if test="hrsg3Qi32240 != null  and hrsg3Qi32240 != ''"> and hrsg3_qi32240 = #{hrsg3Qi32240}</if>
            <if test="hrsg3Qi32241 != null  and hrsg3Qi32241 != ''"> and hrsg3_qi32241 = #{hrsg3Qi32241}</if>
            <if test="hrsg3Qi32242 != null  and hrsg3Qi32242 != ''"> and hrsg3_qi32242 = #{hrsg3Qi32242}</if>
            <if test="totalEfficiency != null  and totalEfficiency != ''"> and total_efficiency = #{totalEfficiency}</if>
            and d.del_flag = 0
        </where>
    </select>
    
    <select id="selectTElecdashboardDayById" parameterType="Long" resultMap="TElecdashboardDayResult">
        <include refid="selectTElecdashboardDayVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertTElecdashboardDay" parameterType="TElecdashboardDay">
        insert into t_elecdashboard_day
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id != null">id,</if>
            <if test="pullDate != null">pull_date,</if>
            <if test="gtg1PowerGenLevel != null">gtg1_power_gen_level,</if>
            <if test="gtg1Efficiency != null">gtg1_efficiency,</if>
            <if test="gtg2PowerGenLevel != null">gtg2_power_gen_level,</if>
            <if test="gtg2Efficiency != null">gtg2_efficiency,</if>
            <if test="gtg3PowerGenLevel != null">gtg3_power_gen_level,</if>
            <if test="gtg3Efficiency != null">gtg3_efficiency,</if>
            <if test="stgPowerGenLevel != null">stg_power_gen_level,</if>
            <if test="stgEfficiency != null">stg_efficiency,</if>
            <if test="totalPowerGen != null">total_power_gen,</if>
            <if test="steamHhp != null">steam_hhp,</if>
            <if test="steamHp != null">steam_hp,</if>
            <if test="steamMp != null">steam_mp,</if>
            <if test="steamLp != null">steam_lp,</if>
            <if test="gasRealTime != null">gas_real_time,</if>
            <if test="gasLeft != null">gas_left,</if>
            <if test="gasUsed != null">gas_used,</if>
            <if test="gasPlan != null">gas_plan,</if>
            <if test="gasElec != null">gas_elec,</if>
            <if test="gasSynGas != null">gas_syn_gas,</if>
            <if test="gasU2 != null">gas_u2,</if>
            <if test="gasStyrene != null">gas_styrene,</if>
            <if test="elecPowerGen != null">elec_power_gen,</if>
            <if test="elecPowerSwitch != null">elec_power_switch,</if>
            <if test="elecUsed != null">elec_used,</if>
            <if test="elecDiff != null">elec_diff,</if>
            <if test="elecBycUsed != null">elec_byc_used,</if>
            <if test="elecBocUsed != null">elec_boc_used,</if>
            <if test="carbonUsed != null">carbon_used,</if>
            <if test="carbonRealTime != null">carbon_real_time,</if>
            <if test="sub != null">sub,</if>
            <if test="subFurnaceLoad != null">sub_furnace_load,</if>
            <if test="hhpPphhp != null">hhp_pphhp,</if>
            <if test="hhpAaae != null">hhp_aaae,</if>
            <if test="hhpGaa != null">hhp_gaa,</if>
            <if test="hhpSyn != null">hhp_syn,</if>
            <if test="hhpP3802 != null">hhp_p3802,</if>
            <if test="hpLpg != null">hp_lpg,</if>
            <if test="hpSub != null">hp_sub,</if>
            <if test="hpNg != null">hp_ng,</if>
            <if test="hpJ1501 != null">hp_j1501,</if>
            <if test="hpJ1504In != null">hp_j1504_in,</if>
            <if test="hpJ1504Out != null">hp_j1504_out,</if>
            <if test="hpUser != null">hp_user,</if>
            <if test="mpNcipMp != null">mp_ncip_mp,</if>
            <if test="mp150511 != null">mp150511,</if>
            <if test="mp150512 != null">mp150512,</if>
            <if test="mpPpMp != null">mp_pp_mp,</if>
            <if test="mpP9801In != null">mp_p9801_in,</if>
            <if test="mpP9801Out != null">mp_p9801_out,</if>
            <if test="mpJ1502 != null">mp_j1502,</if>
            <if test="mpUser != null">mp_user,</if>
            <if test="lpPpLp != null">lp_pp_lp,</if>
            <if test="lpEmpty != null">lp_empty,</if>
            <if test="lpMpLetdown != null">lp_mp_letdown,</if>
            <if test="lpJ1509 != null">lp_j1509,</if>
            <if test="lpJ1503 != null">lp_j1503,</if>
            <if test="lpLdpeTs != null">lp_ldpe_ts,</if>
            <if test="lpLdpeDm != null">lp_ldpe_dm,</if>
            <if test="lpUser != null">lp_user,</if>
            <if test="bccSyn != null">bcc_syn,</if>
            <if test="bccYpc != null">bcc_ypc,</if>
            <if test="hrsg1SmokeConvert != null">hrsg1_smoke_convert,</if>
            <if test="hrsg1So2Convert != null">hrsg1_so2_convert,</if>
            <if test="hrsg1NoxConvert != null">hrsg1_nox_convert,</if>
            <if test="hrsg2SmokeConvert != null">hrsg2_smoke_convert,</if>
            <if test="hrsg2So2Convert != null">hrsg2_so2_convert,</if>
            <if test="hrsg2NoxConvert != null">hrsg2_nox_convert,</if>
            <if test="hrsg3SmokeConvert != null">hrsg3_smoke_convert,</if>
            <if test="hrsg3So2Convert != null">hrsg3_so2_convert,</if>
            <if test="hrsg3NoxConvert != null">hrsg3_nox_convert,</if>
            <if test="rainPh != null">rain_ph,</if>
            <if test="rainCod != null">rain_cod,</if>
            <if test="wastePh != null">waste_ph,</if>
            <if test="wasteCod != null">waste_cod,</if>
            <if test="gtg45ha1 != null">gtg45ha1,</if>
            <if test="gtg45ha2 != null">gtg45ha2,</if>
            <if test="gtg45ha3 != null">gtg45ha3,</if>
            <if test="gtg45ha4 != null">gtg45ha4,</if>
            <if test="gtg45ha5 != null">gtg45ha5,</if>
            <if test="gtg45ha6 != null">gtg45ha6,</if>
            <if test="gtg45ha7 != null">gtg45ha7,</if>
            <if test="gtg45ha8 != null">gtg45ha8,</if>
            <if test="gtg45ha9 != null">gtg45ha9,</if>
            <if test="gtg45ht1 != null">gtg45ht1,</if>
            <if test="gtg45ht2 != null">gtg45ht2,</if>
            <if test="gtg45ht3 != null">gtg45ht3,</if>
            <if test="gtg45ht4 != null">gtg45ht4,</if>
            <if test="gtg45ht5 != null">gtg45ht5,</if>
            <if test="gtg45ht6 != null">gtg45ht6,</if>
            <if test="qt61001 != null">qt61001,</if>
            <if test="qt61002 != null">qt61002,</if>
            <if test="qt61003 != null">qt61003,</if>
            <if test="qt61004 != null">qt61004,</if>
            <if test="qt61005 != null">qt61005,</if>
            <if test="qt61101 != null">qt61101,</if>
            <if test="qt61102 != null">qt61102,</if>
            <if test="qt61103 != null">qt61103,</if>
            <if test="qt61104 != null">qt61104,</if>
            <if test="qt61105 != null">qt61105,</if>
            <if test="qt76001 != null">qt76001,</if>
            <if test="qt76002 != null">qt76002,</if>
            <if test="qt76041 != null">qt76041,</if>
            <if test="qt80001 != null">qt80001,</if>
            <if test="qt80002 != null">qt80002,</if>
            <if test="qt80003 != null">qt80003,</if>
            <if test="qt91001 != null">qt91001,</if>
            <if test="qt91002 != null">qt91002,</if>
            <if test="qt91003 != null">qt91003,</if>
            <if test="qt91004 != null">qt91004,</if>
            <if test="qt91005 != null">qt91005,</if>
            <if test="qt91006 != null">qt91006,</if>
            <if test="qt91011 != null">qt91011,</if>
            <if test="qt91012 != null">qt91012,</if>
            <if test="qt91013 != null">qt91013,</if>
            <if test="at83001 != null">at83001,</if>
            <if test="at83002 != null">at83002,</if>
            <if test="at83003 != null">at83003,</if>
            <if test="at83004 != null">at83004,</if>
            <if test="qt12001 != null">qt12001,</if>
            <if test="qt12501 != null">qt12501,</if>
            <if test="qt12502 != null">qt12502,</if>
            <if test="qt22001 != null">qt22001,</if>
            <if test="qt22501 != null">qt22501,</if>
            <if test="qt22502 != null">qt22502,</if>
            <if test="qt32001 != null">qt32001,</if>
            <if test="qt32002 != null">qt32002,</if>
            <if test="qt32005 != null">qt32005,</if>
            <if test="qt32003 != null">qt32003,</if>
            <if test="qt32004 != null">qt32004,</if>
            <if test="ai82002 != null">ai82002,</if>
            <if test="ai82003 != null">ai82003,</if>
            <if test="ai82004 != null">ai82004,</if>
            <if test="ai82005 != null">ai82005,</if>
            <if test="ai82006 != null">ai82006,</if>
            <if test="ai82007 != null">ai82007,</if>
            <if test="ai82008 != null">ai82008,</if>
            <if test="ai82009 != null">ai82009,</if>
            <if test="ai82010 != null">ai82010,</if>
            <if test="ai82011 != null">ai82011,</if>
            <if test="ai82101 != null">ai82101,</if>
            <if test="ai82102 != null">ai82102,</if>
            <if test="ai82103 != null">ai82103,</if>
            <if test="ai82104 != null">ai82104,</if>
            <if test="ai82105 != null">ai82105,</if>
            <if test="ai82106 != null">ai82106,</if>
            <if test="ai82107 != null">ai82107,</if>
            <if test="ai82108 != null">ai82108,</if>
            <if test="ai82109 != null">ai82109,</if>
            <if test="ai82110 != null">ai82110,</if>
            <if test="ai82111 != null">ai82111,</if>
            <if test="ai82112 != null">ai82112,</if>
            <if test="ai82113 != null">ai82113,</if>
            <if test="hrsg1Ai82201 != null">hrsg1_ai82201,</if>
            <if test="hrsg1Ai82202 != null">hrsg1_ai82202,</if>
            <if test="hrsg1Ai82203 != null">hrsg1_ai82203,</if>
            <if test="hrsg1Ai82204 != null">hrsg1_ai82204,</if>
            <if test="hrsg1Ai82205 != null">hrsg1_ai82205,</if>
            <if test="hrsg1Ai82206 != null">hrsg1_ai82206,</if>
            <if test="hrsg1Ai82207 != null">hrsg1_ai82207,</if>
            <if test="hrsg1Ai82208 != null">hrsg1_ai82208,</if>
            <if test="hrsg1Ai82209 != null">hrsg1_ai82209,</if>
            <if test="hrsg1Ai82210 != null">hrsg1_ai82210,</if>
            <if test="hrsg1Ai82211 != null">hrsg1_ai82211,</if>
            <if test="hrsg1Ai82212 != null">hrsg1_ai82212,</if>
            <if test="hrsg1Air12551 != null">hrsg1_air12551,</if>
            <if test="hrsg1Air12552 != null">hrsg1_air12552,</if>
            <if test="hrsg1Air12553 != null">hrsg1_air12553,</if>
            <if test="hrsg1Air12554 != null">hrsg1_air12554,</if>
            <if test="hrsg1Air12555 != null">hrsg1_air12555,</if>
            <if test="hrsg1Air12556 != null">hrsg1_air12556,</if>
            <if test="hrsg1Air12557 != null">hrsg1_air12557,</if>
            <if test="hrsg1Air12558 != null">hrsg1_air12558,</if>
            <if test="hrsg2Ai82301 != null">hrsg2_ai82301,</if>
            <if test="hrsg2Ai82302 != null">hrsg2_ai82302,</if>
            <if test="hrsg2Ai82303 != null">hrsg2_ai82303,</if>
            <if test="hrsg2Ai82304 != null">hrsg2_ai82304,</if>
            <if test="hrsg2Ai82305 != null">hrsg2_ai82305,</if>
            <if test="hrsg2Ai82306 != null">hrsg2_ai82306,</if>
            <if test="hrsg2Ai82307 != null">hrsg2_ai82307,</if>
            <if test="hrsg2Ai82308 != null">hrsg2_ai82308,</if>
            <if test="hrsg2Ai82309 != null">hrsg2_ai82309,</if>
            <if test="hrsg2Ai82310 != null">hrsg2_ai82310,</if>
            <if test="hrsg2Ai82311 != null">hrsg2_ai82311,</if>
            <if test="hrsg2Ai82312 != null">hrsg2_ai82312,</if>
            <if test="hrsg2Air22551 != null">hrsg2_air22551,</if>
            <if test="hrsg2Air22552 != null">hrsg2_air22552,</if>
            <if test="hrsg2Air22553 != null">hrsg2_air22553,</if>
            <if test="hrsg2Air22554 != null">hrsg2_air22554,</if>
            <if test="hrsg2Air22555 != null">hrsg2_air22555,</if>
            <if test="hrsg2Air22556 != null">hrsg2_air22556,</if>
            <if test="hrsg2Air22557 != null">hrsg2_air22557,</if>
            <if test="hrsg2Air22558 != null">hrsg2_air22558,</if>
            <if test="hrsg2Qi22240 != null">hrsg2_qi22240,</if>
            <if test="hrsg2Qi22241 != null">hrsg2_qi22241,</if>
            <if test="hrsg2Qi22242 != null">hrsg2_qi22242,</if>
            <if test="hrsg3Ai82401 != null">hrsg3_ai82401,</if>
            <if test="hrsg3Ai82402 != null">hrsg3_ai82402,</if>
            <if test="hrsg3Ai82403 != null">hrsg3_ai82403,</if>
            <if test="hrsg3Ai82404 != null">hrsg3_ai82404,</if>
            <if test="hrsg3Ai82405 != null">hrsg3_ai82405,</if>
            <if test="hrsg3Ai82406 != null">hrsg3_ai82406,</if>
            <if test="hrsg3Ai82407 != null">hrsg3_ai82407,</if>
            <if test="hrsg3Ai82408 != null">hrsg3_ai82408,</if>
            <if test="hrsg3Ai82409 != null">hrsg3_ai82409,</if>
            <if test="hrsg3Ai82410 != null">hrsg3_ai82410,</if>
            <if test="hrsg3Ai82411 != null">hrsg3_ai82411,</if>
            <if test="hrsg3Ai82412 != null">hrsg3_ai82412,</if>
            <if test="hrsg3Air32551 != null">hrsg3_air32551,</if>
            <if test="hrsg3Air32552 != null">hrsg3_air32552,</if>
            <if test="hrsg3Air32553 != null">hrsg3_air32553,</if>
            <if test="hrsg3Air32554 != null">hrsg3_air32554,</if>
            <if test="hrsg3Air32555 != null">hrsg3_air32555,</if>
            <if test="hrsg3Air32556 != null">hrsg3_air32556,</if>
            <if test="hrsg3Air32557 != null">hrsg3_air32557,</if>
            <if test="hrsg3Air32558 != null">hrsg3_air32558,</if>
            <if test="hrsg3Qi32240 != null">hrsg3_qi32240,</if>
            <if test="hrsg3Qi32241 != null">hrsg3_qi32241,</if>
            <if test="hrsg3Qi32242 != null">hrsg3_qi32242,</if>
            <if test="totalEfficiency != null">total_efficiency,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">#{id},</if>
            <if test="pullDate != null">#{pullDate},</if>
            <if test="gtg1PowerGenLevel != null">#{gtg1PowerGenLevel},</if>
            <if test="gtg1Efficiency != null">#{gtg1Efficiency},</if>
            <if test="gtg2PowerGenLevel != null">#{gtg2PowerGenLevel},</if>
            <if test="gtg2Efficiency != null">#{gtg2Efficiency},</if>
            <if test="gtg3PowerGenLevel != null">#{gtg3PowerGenLevel},</if>
            <if test="gtg3Efficiency != null">#{gtg3Efficiency},</if>
            <if test="stgPowerGenLevel != null">#{stgPowerGenLevel},</if>
            <if test="stgEfficiency != null">#{stgEfficiency},</if>
            <if test="totalPowerGen != null">#{totalPowerGen},</if>
            <if test="steamHhp != null">#{steamHhp},</if>
            <if test="steamHp != null">#{steamHp},</if>
            <if test="steamMp != null">#{steamMp},</if>
            <if test="steamLp != null">#{steamLp},</if>
            <if test="gasRealTime != null">#{gasRealTime},</if>
            <if test="gasLeft != null">#{gasLeft},</if>
            <if test="gasUsed != null">#{gasUsed},</if>
            <if test="gasPlan != null">#{gasPlan},</if>
            <if test="gasElec != null">#{gasElec},</if>
            <if test="gasSynGas != null">#{gasSynGas},</if>
            <if test="gasU2 != null">#{gasU2},</if>
            <if test="gasStyrene != null">#{gasStyrene},</if>
            <if test="elecPowerGen != null">#{elecPowerGen},</if>
            <if test="elecPowerSwitch != null">#{elecPowerSwitch},</if>
            <if test="elecUsed != null">#{elecUsed},</if>
            <if test="elecDiff != null">#{elecDiff},</if>
            <if test="elecBycUsed != null">#{elecBycUsed},</if>
            <if test="elecBocUsed != null">#{elecBocUsed},</if>
            <if test="carbonUsed != null">#{carbonUsed},</if>
            <if test="carbonRealTime != null">#{carbonRealTime},</if>
            <if test="sub != null">#{sub},</if>
            <if test="subFurnaceLoad != null">#{subFurnaceLoad},</if>
            <if test="hhpPphhp != null">#{hhpPphhp},</if>
            <if test="hhpAaae != null">#{hhpAaae},</if>
            <if test="hhpGaa != null">#{hhpGaa},</if>
            <if test="hhpSyn != null">#{hhpSyn},</if>
            <if test="hhpP3802 != null">#{hhpP3802},</if>
            <if test="hpLpg != null">#{hpLpg},</if>
            <if test="hpSub != null">#{hpSub},</if>
            <if test="hpNg != null">#{hpNg},</if>
            <if test="hpJ1501 != null">#{hpJ1501},</if>
            <if test="hpJ1504In != null">#{hpJ1504In},</if>
            <if test="hpJ1504Out != null">#{hpJ1504Out},</if>
            <if test="hpUser != null">#{hpUser},</if>
            <if test="mpNcipMp != null">#{mpNcipMp},</if>
            <if test="mp150511 != null">#{mp150511},</if>
            <if test="mp150512 != null">#{mp150512},</if>
            <if test="mpPpMp != null">#{mpPpMp},</if>
            <if test="mpP9801In != null">#{mpP9801In},</if>
            <if test="mpP9801Out != null">#{mpP9801Out},</if>
            <if test="mpJ1502 != null">#{mpJ1502},</if>
            <if test="mpUser != null">#{mpUser},</if>
            <if test="lpPpLp != null">#{lpPpLp},</if>
            <if test="lpEmpty != null">#{lpEmpty},</if>
            <if test="lpMpLetdown != null">#{lpMpLetdown},</if>
            <if test="lpJ1509 != null">#{lpJ1509},</if>
            <if test="lpJ1503 != null">#{lpJ1503},</if>
            <if test="lpLdpeTs != null">#{lpLdpeTs},</if>
            <if test="lpLdpeDm != null">#{lpLdpeDm},</if>
            <if test="lpUser != null">#{lpUser},</if>
            <if test="bccSyn != null">#{bccSyn},</if>
            <if test="bccYpc != null">#{bccYpc},</if>
            <if test="hrsg1SmokeConvert != null">#{hrsg1SmokeConvert},</if>
            <if test="hrsg1So2Convert != null">#{hrsg1So2Convert},</if>
            <if test="hrsg1NoxConvert != null">#{hrsg1NoxConvert},</if>
            <if test="hrsg2SmokeConvert != null">#{hrsg2SmokeConvert},</if>
            <if test="hrsg2So2Convert != null">#{hrsg2So2Convert},</if>
            <if test="hrsg2NoxConvert != null">#{hrsg2NoxConvert},</if>
            <if test="hrsg3SmokeConvert != null">#{hrsg3SmokeConvert},</if>
            <if test="hrsg3So2Convert != null">#{hrsg3So2Convert},</if>
            <if test="hrsg3NoxConvert != null">#{hrsg3NoxConvert},</if>
            <if test="rainPh != null">#{rainPh},</if>
            <if test="rainCod != null">#{rainCod},</if>
            <if test="wastePh != null">#{wastePh},</if>
            <if test="wasteCod != null">#{wasteCod},</if>
            <if test="gtg45ha1 != null">#{gtg45ha1},</if>
            <if test="gtg45ha2 != null">#{gtg45ha2},</if>
            <if test="gtg45ha3 != null">#{gtg45ha3},</if>
            <if test="gtg45ha4 != null">#{gtg45ha4},</if>
            <if test="gtg45ha5 != null">#{gtg45ha5},</if>
            <if test="gtg45ha6 != null">#{gtg45ha6},</if>
            <if test="gtg45ha7 != null">#{gtg45ha7},</if>
            <if test="gtg45ha8 != null">#{gtg45ha8},</if>
            <if test="gtg45ha9 != null">#{gtg45ha9},</if>
            <if test="gtg45ht1 != null">#{gtg45ht1},</if>
            <if test="gtg45ht2 != null">#{gtg45ht2},</if>
            <if test="gtg45ht3 != null">#{gtg45ht3},</if>
            <if test="gtg45ht4 != null">#{gtg45ht4},</if>
            <if test="gtg45ht5 != null">#{gtg45ht5},</if>
            <if test="gtg45ht6 != null">#{gtg45ht6},</if>
            <if test="qt61001 != null">#{qt61001},</if>
            <if test="qt61002 != null">#{qt61002},</if>
            <if test="qt61003 != null">#{qt61003},</if>
            <if test="qt61004 != null">#{qt61004},</if>
            <if test="qt61005 != null">#{qt61005},</if>
            <if test="qt61101 != null">#{qt61101},</if>
            <if test="qt61102 != null">#{qt61102},</if>
            <if test="qt61103 != null">#{qt61103},</if>
            <if test="qt61104 != null">#{qt61104},</if>
            <if test="qt61105 != null">#{qt61105},</if>
            <if test="qt76001 != null">#{qt76001},</if>
            <if test="qt76002 != null">#{qt76002},</if>
            <if test="qt76041 != null">#{qt76041},</if>
            <if test="qt80001 != null">#{qt80001},</if>
            <if test="qt80002 != null">#{qt80002},</if>
            <if test="qt80003 != null">#{qt80003},</if>
            <if test="qt91001 != null">#{qt91001},</if>
            <if test="qt91002 != null">#{qt91002},</if>
            <if test="qt91003 != null">#{qt91003},</if>
            <if test="qt91004 != null">#{qt91004},</if>
            <if test="qt91005 != null">#{qt91005},</if>
            <if test="qt91006 != null">#{qt91006},</if>
            <if test="qt91011 != null">#{qt91011},</if>
            <if test="qt91012 != null">#{qt91012},</if>
            <if test="qt91013 != null">#{qt91013},</if>
            <if test="at83001 != null">#{at83001},</if>
            <if test="at83002 != null">#{at83002},</if>
            <if test="at83003 != null">#{at83003},</if>
            <if test="at83004 != null">#{at83004},</if>
            <if test="qt12001 != null">#{qt12001},</if>
            <if test="qt12501 != null">#{qt12501},</if>
            <if test="qt12502 != null">#{qt12502},</if>
            <if test="qt22001 != null">#{qt22001},</if>
            <if test="qt22501 != null">#{qt22501},</if>
            <if test="qt22502 != null">#{qt22502},</if>
            <if test="qt32001 != null">#{qt32001},</if>
            <if test="qt32002 != null">#{qt32002},</if>
            <if test="qt32005 != null">#{qt32005},</if>
            <if test="qt32003 != null">#{qt32003},</if>
            <if test="qt32004 != null">#{qt32004},</if>
            <if test="ai82002 != null">#{ai82002},</if>
            <if test="ai82003 != null">#{ai82003},</if>
            <if test="ai82004 != null">#{ai82004},</if>
            <if test="ai82005 != null">#{ai82005},</if>
            <if test="ai82006 != null">#{ai82006},</if>
            <if test="ai82007 != null">#{ai82007},</if>
            <if test="ai82008 != null">#{ai82008},</if>
            <if test="ai82009 != null">#{ai82009},</if>
            <if test="ai82010 != null">#{ai82010},</if>
            <if test="ai82011 != null">#{ai82011},</if>
            <if test="ai82101 != null">#{ai82101},</if>
            <if test="ai82102 != null">#{ai82102},</if>
            <if test="ai82103 != null">#{ai82103},</if>
            <if test="ai82104 != null">#{ai82104},</if>
            <if test="ai82105 != null">#{ai82105},</if>
            <if test="ai82106 != null">#{ai82106},</if>
            <if test="ai82107 != null">#{ai82107},</if>
            <if test="ai82108 != null">#{ai82108},</if>
            <if test="ai82109 != null">#{ai82109},</if>
            <if test="ai82110 != null">#{ai82110},</if>
            <if test="ai82111 != null">#{ai82111},</if>
            <if test="ai82112 != null">#{ai82112},</if>
            <if test="ai82113 != null">#{ai82113},</if>
            <if test="hrsg1Ai82201 != null">#{hrsg1Ai82201},</if>
            <if test="hrsg1Ai82202 != null">#{hrsg1Ai82202},</if>
            <if test="hrsg1Ai82203 != null">#{hrsg1Ai82203},</if>
            <if test="hrsg1Ai82204 != null">#{hrsg1Ai82204},</if>
            <if test="hrsg1Ai82205 != null">#{hrsg1Ai82205},</if>
            <if test="hrsg1Ai82206 != null">#{hrsg1Ai82206},</if>
            <if test="hrsg1Ai82207 != null">#{hrsg1Ai82207},</if>
            <if test="hrsg1Ai82208 != null">#{hrsg1Ai82208},</if>
            <if test="hrsg1Ai82209 != null">#{hrsg1Ai82209},</if>
            <if test="hrsg1Ai82210 != null">#{hrsg1Ai82210},</if>
            <if test="hrsg1Ai82211 != null">#{hrsg1Ai82211},</if>
            <if test="hrsg1Ai82212 != null">#{hrsg1Ai82212},</if>
            <if test="hrsg1Air12551 != null">#{hrsg1Air12551},</if>
            <if test="hrsg1Air12552 != null">#{hrsg1Air12552},</if>
            <if test="hrsg1Air12553 != null">#{hrsg1Air12553},</if>
            <if test="hrsg1Air12554 != null">#{hrsg1Air12554},</if>
            <if test="hrsg1Air12555 != null">#{hrsg1Air12555},</if>
            <if test="hrsg1Air12556 != null">#{hrsg1Air12556},</if>
            <if test="hrsg1Air12557 != null">#{hrsg1Air12557},</if>
            <if test="hrsg1Air12558 != null">#{hrsg1Air12558},</if>
            <if test="hrsg2Ai82301 != null">#{hrsg2Ai82301},</if>
            <if test="hrsg2Ai82302 != null">#{hrsg2Ai82302},</if>
            <if test="hrsg2Ai82303 != null">#{hrsg2Ai82303},</if>
            <if test="hrsg2Ai82304 != null">#{hrsg2Ai82304},</if>
            <if test="hrsg2Ai82305 != null">#{hrsg2Ai82305},</if>
            <if test="hrsg2Ai82306 != null">#{hrsg2Ai82306},</if>
            <if test="hrsg2Ai82307 != null">#{hrsg2Ai82307},</if>
            <if test="hrsg2Ai82308 != null">#{hrsg2Ai82308},</if>
            <if test="hrsg2Ai82309 != null">#{hrsg2Ai82309},</if>
            <if test="hrsg2Ai82310 != null">#{hrsg2Ai82310},</if>
            <if test="hrsg2Ai82311 != null">#{hrsg2Ai82311},</if>
            <if test="hrsg2Ai82312 != null">#{hrsg2Ai82312},</if>
            <if test="hrsg2Air22551 != null">#{hrsg2Air22551},</if>
            <if test="hrsg2Air22552 != null">#{hrsg2Air22552},</if>
            <if test="hrsg2Air22553 != null">#{hrsg2Air22553},</if>
            <if test="hrsg2Air22554 != null">#{hrsg2Air22554},</if>
            <if test="hrsg2Air22555 != null">#{hrsg2Air22555},</if>
            <if test="hrsg2Air22556 != null">#{hrsg2Air22556},</if>
            <if test="hrsg2Air22557 != null">#{hrsg2Air22557},</if>
            <if test="hrsg2Air22558 != null">#{hrsg2Air22558},</if>
            <if test="hrsg2Qi22240 != null">#{hrsg2Qi22240},</if>
            <if test="hrsg2Qi22241 != null">#{hrsg2Qi22241},</if>
            <if test="hrsg2Qi22242 != null">#{hrsg2Qi22242},</if>
            <if test="hrsg3Ai82401 != null">#{hrsg3Ai82401},</if>
            <if test="hrsg3Ai82402 != null">#{hrsg3Ai82402},</if>
            <if test="hrsg3Ai82403 != null">#{hrsg3Ai82403},</if>
            <if test="hrsg3Ai82404 != null">#{hrsg3Ai82404},</if>
            <if test="hrsg3Ai82405 != null">#{hrsg3Ai82405},</if>
            <if test="hrsg3Ai82406 != null">#{hrsg3Ai82406},</if>
            <if test="hrsg3Ai82407 != null">#{hrsg3Ai82407},</if>
            <if test="hrsg3Ai82408 != null">#{hrsg3Ai82408},</if>
            <if test="hrsg3Ai82409 != null">#{hrsg3Ai82409},</if>
            <if test="hrsg3Ai82410 != null">#{hrsg3Ai82410},</if>
            <if test="hrsg3Ai82411 != null">#{hrsg3Ai82411},</if>
            <if test="hrsg3Ai82412 != null">#{hrsg3Ai82412},</if>
            <if test="hrsg3Air32551 != null">#{hrsg3Air32551},</if>
            <if test="hrsg3Air32552 != null">#{hrsg3Air32552},</if>
            <if test="hrsg3Air32553 != null">#{hrsg3Air32553},</if>
            <if test="hrsg3Air32554 != null">#{hrsg3Air32554},</if>
            <if test="hrsg3Air32555 != null">#{hrsg3Air32555},</if>
            <if test="hrsg3Air32556 != null">#{hrsg3Air32556},</if>
            <if test="hrsg3Air32557 != null">#{hrsg3Air32557},</if>
            <if test="hrsg3Air32558 != null">#{hrsg3Air32558},</if>
            <if test="hrsg3Qi32240 != null">#{hrsg3Qi32240},</if>
            <if test="hrsg3Qi32241 != null">#{hrsg3Qi32241},</if>
            <if test="hrsg3Qi32242 != null">#{hrsg3Qi32242},</if>
            <if test="totalEfficiency != null">#{totalEfficiency},</if>
         </trim>
    </insert>

    <update id="updateTElecdashboardDay" parameterType="TElecdashboardDay">
        update t_elecdashboard_day
        <trim prefix="SET" suffixOverrides=",">
            <if test="pullDate != null">pull_date = #{pullDate},</if>
            <if test="gtg1PowerGenLevel != null">gtg1_power_gen_level = #{gtg1PowerGenLevel},</if>
            <if test="gtg1Efficiency != null">gtg1_efficiency = #{gtg1Efficiency},</if>
            <if test="gtg2PowerGenLevel != null">gtg2_power_gen_level = #{gtg2PowerGenLevel},</if>
            <if test="gtg2Efficiency != null">gtg2_efficiency = #{gtg2Efficiency},</if>
            <if test="gtg3PowerGenLevel != null">gtg3_power_gen_level = #{gtg3PowerGenLevel},</if>
            <if test="gtg3Efficiency != null">gtg3_efficiency = #{gtg3Efficiency},</if>
            <if test="stgPowerGenLevel != null">stg_power_gen_level = #{stgPowerGenLevel},</if>
            <if test="stgEfficiency != null">stg_efficiency = #{stgEfficiency},</if>
            <if test="totalPowerGen != null">total_power_gen = #{totalPowerGen},</if>
            <if test="steamHhp != null">steam_hhp = #{steamHhp},</if>
            <if test="steamHp != null">steam_hp = #{steamHp},</if>
            <if test="steamMp != null">steam_mp = #{steamMp},</if>
            <if test="steamLp != null">steam_lp = #{steamLp},</if>
            <if test="gasRealTime != null">gas_real_time = #{gasRealTime},</if>
            <if test="gasLeft != null">gas_left = #{gasLeft},</if>
            <if test="gasUsed != null">gas_used = #{gasUsed},</if>
            <if test="gasPlan != null">gas_plan = #{gasPlan},</if>
            <if test="gasElec != null">gas_elec = #{gasElec},</if>
            <if test="gasSynGas != null">gas_syn_gas = #{gasSynGas},</if>
            <if test="gasU2 != null">gas_u2 = #{gasU2},</if>
            <if test="gasStyrene != null">gas_styrene = #{gasStyrene},</if>
            <if test="elecPowerGen != null">elec_power_gen = #{elecPowerGen},</if>
            <if test="elecPowerSwitch != null">elec_power_switch = #{elecPowerSwitch},</if>
            <if test="elecUsed != null">elec_used = #{elecUsed},</if>
            <if test="elecDiff != null">elec_diff = #{elecDiff},</if>
            <if test="elecBycUsed != null">elec_byc_used = #{elecBycUsed},</if>
            <if test="elecBocUsed != null">elec_boc_used = #{elecBocUsed},</if>
            <if test="carbonUsed != null">carbon_used = #{carbonUsed},</if>
            <if test="carbonRealTime != null">carbon_real_time = #{carbonRealTime},</if>
            <if test="sub != null">sub = #{sub},</if>
            <if test="subFurnaceLoad != null">sub_furnace_load = #{subFurnaceLoad},</if>
            <if test="hhpPphhp != null">hhp_pphhp = #{hhpPphhp},</if>
            <if test="hhpAaae != null">hhp_aaae = #{hhpAaae},</if>
            <if test="hhpGaa != null">hhp_gaa = #{hhpGaa},</if>
            <if test="hhpSyn != null">hhp_syn = #{hhpSyn},</if>
            <if test="hhpP3802 != null">hhp_p3802 = #{hhpP3802},</if>
            <if test="hpLpg != null">hp_lpg = #{hpLpg},</if>
            <if test="hpSub != null">hp_sub = #{hpSub},</if>
            <if test="hpNg != null">hp_ng = #{hpNg},</if>
            <if test="hpJ1501 != null">hp_j1501 = #{hpJ1501},</if>
            <if test="hpJ1504In != null">hp_j1504_in = #{hpJ1504In},</if>
            <if test="hpJ1504Out != null">hp_j1504_out = #{hpJ1504Out},</if>
            <if test="hpUser != null">hp_user = #{hpUser},</if>
            <if test="mpNcipMp != null">mp_ncip_mp = #{mpNcipMp},</if>
            <if test="mp150511 != null">mp150511 = #{mp150511},</if>
            <if test="mp150512 != null">mp150512 = #{mp150512},</if>
            <if test="mpPpMp != null">mp_pp_mp = #{mpPpMp},</if>
            <if test="mpP9801In != null">mp_p9801_in = #{mpP9801In},</if>
            <if test="mpP9801Out != null">mp_p9801_out = #{mpP9801Out},</if>
            <if test="mpJ1502 != null">mp_j1502 = #{mpJ1502},</if>
            <if test="mpUser != null">mp_user = #{mpUser},</if>
            <if test="lpPpLp != null">lp_pp_lp = #{lpPpLp},</if>
            <if test="lpEmpty != null">lp_empty = #{lpEmpty},</if>
            <if test="lpMpLetdown != null">lp_mp_letdown = #{lpMpLetdown},</if>
            <if test="lpJ1509 != null">lp_j1509 = #{lpJ1509},</if>
            <if test="lpJ1503 != null">lp_j1503 = #{lpJ1503},</if>
            <if test="lpLdpeTs != null">lp_ldpe_ts = #{lpLdpeTs},</if>
            <if test="lpLdpeDm != null">lp_ldpe_dm = #{lpLdpeDm},</if>
            <if test="lpUser != null">lp_user = #{lpUser},</if>
            <if test="bccSyn != null">bcc_syn = #{bccSyn},</if>
            <if test="bccYpc != null">bcc_ypc = #{bccYpc},</if>
            <if test="hrsg1SmokeConvert != null">hrsg1_smoke_convert = #{hrsg1SmokeConvert},</if>
            <if test="hrsg1So2Convert != null">hrsg1_so2_convert = #{hrsg1So2Convert},</if>
            <if test="hrsg1NoxConvert != null">hrsg1_nox_convert = #{hrsg1NoxConvert},</if>
            <if test="hrsg2SmokeConvert != null">hrsg2_smoke_convert = #{hrsg2SmokeConvert},</if>
            <if test="hrsg2So2Convert != null">hrsg2_so2_convert = #{hrsg2So2Convert},</if>
            <if test="hrsg2NoxConvert != null">hrsg2_nox_convert = #{hrsg2NoxConvert},</if>
            <if test="hrsg3SmokeConvert != null">hrsg3_smoke_convert = #{hrsg3SmokeConvert},</if>
            <if test="hrsg3So2Convert != null">hrsg3_so2_convert = #{hrsg3So2Convert},</if>
            <if test="hrsg3NoxConvert != null">hrsg3_nox_convert = #{hrsg3NoxConvert},</if>
            <if test="rainPh != null">rain_ph = #{rainPh},</if>
            <if test="rainCod != null">rain_cod = #{rainCod},</if>
            <if test="wastePh != null">waste_ph = #{wastePh},</if>
            <if test="wasteCod != null">waste_cod = #{wasteCod},</if>
            <if test="gtg45ha1 != null">gtg45ha1 = #{gtg45ha1},</if>
            <if test="gtg45ha2 != null">gtg45ha2 = #{gtg45ha2},</if>
            <if test="gtg45ha3 != null">gtg45ha3 = #{gtg45ha3},</if>
            <if test="gtg45ha4 != null">gtg45ha4 = #{gtg45ha4},</if>
            <if test="gtg45ha5 != null">gtg45ha5 = #{gtg45ha5},</if>
            <if test="gtg45ha6 != null">gtg45ha6 = #{gtg45ha6},</if>
            <if test="gtg45ha7 != null">gtg45ha7 = #{gtg45ha7},</if>
            <if test="gtg45ha8 != null">gtg45ha8 = #{gtg45ha8},</if>
            <if test="gtg45ha9 != null">gtg45ha9 = #{gtg45ha9},</if>
            <if test="gtg45ht1 != null">gtg45ht1 = #{gtg45ht1},</if>
            <if test="gtg45ht2 != null">gtg45ht2 = #{gtg45ht2},</if>
            <if test="gtg45ht3 != null">gtg45ht3 = #{gtg45ht3},</if>
            <if test="gtg45ht4 != null">gtg45ht4 = #{gtg45ht4},</if>
            <if test="gtg45ht5 != null">gtg45ht5 = #{gtg45ht5},</if>
            <if test="gtg45ht6 != null">gtg45ht6 = #{gtg45ht6},</if>
            <if test="qt61001 != null">qt61001 = #{qt61001},</if>
            <if test="qt61002 != null">qt61002 = #{qt61002},</if>
            <if test="qt61003 != null">qt61003 = #{qt61003},</if>
            <if test="qt61004 != null">qt61004 = #{qt61004},</if>
            <if test="qt61005 != null">qt61005 = #{qt61005},</if>
            <if test="qt61101 != null">qt61101 = #{qt61101},</if>
            <if test="qt61102 != null">qt61102 = #{qt61102},</if>
            <if test="qt61103 != null">qt61103 = #{qt61103},</if>
            <if test="qt61104 != null">qt61104 = #{qt61104},</if>
            <if test="qt61105 != null">qt61105 = #{qt61105},</if>
            <if test="qt76001 != null">qt76001 = #{qt76001},</if>
            <if test="qt76002 != null">qt76002 = #{qt76002},</if>
            <if test="qt76041 != null">qt76041 = #{qt76041},</if>
            <if test="qt80001 != null">qt80001 = #{qt80001},</if>
            <if test="qt80002 != null">qt80002 = #{qt80002},</if>
            <if test="qt80003 != null">qt80003 = #{qt80003},</if>
            <if test="qt91001 != null">qt91001 = #{qt91001},</if>
            <if test="qt91002 != null">qt91002 = #{qt91002},</if>
            <if test="qt91003 != null">qt91003 = #{qt91003},</if>
            <if test="qt91004 != null">qt91004 = #{qt91004},</if>
            <if test="qt91005 != null">qt91005 = #{qt91005},</if>
            <if test="qt91006 != null">qt91006 = #{qt91006},</if>
            <if test="qt91011 != null">qt91011 = #{qt91011},</if>
            <if test="qt91012 != null">qt91012 = #{qt91012},</if>
            <if test="qt91013 != null">qt91013 = #{qt91013},</if>
            <if test="at83001 != null">at83001 = #{at83001},</if>
            <if test="at83002 != null">at83002 = #{at83002},</if>
            <if test="at83003 != null">at83003 = #{at83003},</if>
            <if test="at83004 != null">at83004 = #{at83004},</if>
            <if test="qt12001 != null">qt12001 = #{qt12001},</if>
            <if test="qt12501 != null">qt12501 = #{qt12501},</if>
            <if test="qt12502 != null">qt12502 = #{qt12502},</if>
            <if test="qt22001 != null">qt22001 = #{qt22001},</if>
            <if test="qt22501 != null">qt22501 = #{qt22501},</if>
            <if test="qt22502 != null">qt22502 = #{qt22502},</if>
            <if test="qt32001 != null">qt32001 = #{qt32001},</if>
            <if test="qt32002 != null">qt32002 = #{qt32002},</if>
            <if test="qt32005 != null">qt32005 = #{qt32005},</if>
            <if test="qt32003 != null">qt32003 = #{qt32003},</if>
            <if test="qt32004 != null">qt32004 = #{qt32004},</if>
            <if test="ai82002 != null">ai82002 = #{ai82002},</if>
            <if test="ai82003 != null">ai82003 = #{ai82003},</if>
            <if test="ai82004 != null">ai82004 = #{ai82004},</if>
            <if test="ai82005 != null">ai82005 = #{ai82005},</if>
            <if test="ai82006 != null">ai82006 = #{ai82006},</if>
            <if test="ai82007 != null">ai82007 = #{ai82007},</if>
            <if test="ai82008 != null">ai82008 = #{ai82008},</if>
            <if test="ai82009 != null">ai82009 = #{ai82009},</if>
            <if test="ai82010 != null">ai82010 = #{ai82010},</if>
            <if test="ai82011 != null">ai82011 = #{ai82011},</if>
            <if test="ai82101 != null">ai82101 = #{ai82101},</if>
            <if test="ai82102 != null">ai82102 = #{ai82102},</if>
            <if test="ai82103 != null">ai82103 = #{ai82103},</if>
            <if test="ai82104 != null">ai82104 = #{ai82104},</if>
            <if test="ai82105 != null">ai82105 = #{ai82105},</if>
            <if test="ai82106 != null">ai82106 = #{ai82106},</if>
            <if test="ai82107 != null">ai82107 = #{ai82107},</if>
            <if test="ai82108 != null">ai82108 = #{ai82108},</if>
            <if test="ai82109 != null">ai82109 = #{ai82109},</if>
            <if test="ai82110 != null">ai82110 = #{ai82110},</if>
            <if test="ai82111 != null">ai82111 = #{ai82111},</if>
            <if test="ai82112 != null">ai82112 = #{ai82112},</if>
            <if test="ai82113 != null">ai82113 = #{ai82113},</if>
            <if test="hrsg1Ai82201 != null">hrsg1_ai82201 = #{hrsg1Ai82201},</if>
            <if test="hrsg1Ai82202 != null">hrsg1_ai82202 = #{hrsg1Ai82202},</if>
            <if test="hrsg1Ai82203 != null">hrsg1_ai82203 = #{hrsg1Ai82203},</if>
            <if test="hrsg1Ai82204 != null">hrsg1_ai82204 = #{hrsg1Ai82204},</if>
            <if test="hrsg1Ai82205 != null">hrsg1_ai82205 = #{hrsg1Ai82205},</if>
            <if test="hrsg1Ai82206 != null">hrsg1_ai82206 = #{hrsg1Ai82206},</if>
            <if test="hrsg1Ai82207 != null">hrsg1_ai82207 = #{hrsg1Ai82207},</if>
            <if test="hrsg1Ai82208 != null">hrsg1_ai82208 = #{hrsg1Ai82208},</if>
            <if test="hrsg1Ai82209 != null">hrsg1_ai82209 = #{hrsg1Ai82209},</if>
            <if test="hrsg1Ai82210 != null">hrsg1_ai82210 = #{hrsg1Ai82210},</if>
            <if test="hrsg1Ai82211 != null">hrsg1_ai82211 = #{hrsg1Ai82211},</if>
            <if test="hrsg1Ai82212 != null">hrsg1_ai82212 = #{hrsg1Ai82212},</if>
            <if test="hrsg1Air12551 != null">hrsg1_air12551 = #{hrsg1Air12551},</if>
            <if test="hrsg1Air12552 != null">hrsg1_air12552 = #{hrsg1Air12552},</if>
            <if test="hrsg1Air12553 != null">hrsg1_air12553 = #{hrsg1Air12553},</if>
            <if test="hrsg1Air12554 != null">hrsg1_air12554 = #{hrsg1Air12554},</if>
            <if test="hrsg1Air12555 != null">hrsg1_air12555 = #{hrsg1Air12555},</if>
            <if test="hrsg1Air12556 != null">hrsg1_air12556 = #{hrsg1Air12556},</if>
            <if test="hrsg1Air12557 != null">hrsg1_air12557 = #{hrsg1Air12557},</if>
            <if test="hrsg1Air12558 != null">hrsg1_air12558 = #{hrsg1Air12558},</if>
            <if test="hrsg2Ai82301 != null">hrsg2_ai82301 = #{hrsg2Ai82301},</if>
            <if test="hrsg2Ai82302 != null">hrsg2_ai82302 = #{hrsg2Ai82302},</if>
            <if test="hrsg2Ai82303 != null">hrsg2_ai82303 = #{hrsg2Ai82303},</if>
            <if test="hrsg2Ai82304 != null">hrsg2_ai82304 = #{hrsg2Ai82304},</if>
            <if test="hrsg2Ai82305 != null">hrsg2_ai82305 = #{hrsg2Ai82305},</if>
            <if test="hrsg2Ai82306 != null">hrsg2_ai82306 = #{hrsg2Ai82306},</if>
            <if test="hrsg2Ai82307 != null">hrsg2_ai82307 = #{hrsg2Ai82307},</if>
            <if test="hrsg2Ai82308 != null">hrsg2_ai82308 = #{hrsg2Ai82308},</if>
            <if test="hrsg2Ai82309 != null">hrsg2_ai82309 = #{hrsg2Ai82309},</if>
            <if test="hrsg2Ai82310 != null">hrsg2_ai82310 = #{hrsg2Ai82310},</if>
            <if test="hrsg2Ai82311 != null">hrsg2_ai82311 = #{hrsg2Ai82311},</if>
            <if test="hrsg2Ai82312 != null">hrsg2_ai82312 = #{hrsg2Ai82312},</if>
            <if test="hrsg2Air22551 != null">hrsg2_air22551 = #{hrsg2Air22551},</if>
            <if test="hrsg2Air22552 != null">hrsg2_air22552 = #{hrsg2Air22552},</if>
            <if test="hrsg2Air22553 != null">hrsg2_air22553 = #{hrsg2Air22553},</if>
            <if test="hrsg2Air22554 != null">hrsg2_air22554 = #{hrsg2Air22554},</if>
            <if test="hrsg2Air22555 != null">hrsg2_air22555 = #{hrsg2Air22555},</if>
            <if test="hrsg2Air22556 != null">hrsg2_air22556 = #{hrsg2Air22556},</if>
            <if test="hrsg2Air22557 != null">hrsg2_air22557 = #{hrsg2Air22557},</if>
            <if test="hrsg2Air22558 != null">hrsg2_air22558 = #{hrsg2Air22558},</if>
            <if test="hrsg2Qi22240 != null">hrsg2_qi22240 = #{hrsg2Qi22240},</if>
            <if test="hrsg2Qi22241 != null">hrsg2_qi22241 = #{hrsg2Qi22241},</if>
            <if test="hrsg2Qi22242 != null">hrsg2_qi22242 = #{hrsg2Qi22242},</if>
            <if test="hrsg3Ai82401 != null">hrsg3_ai82401 = #{hrsg3Ai82401},</if>
            <if test="hrsg3Ai82402 != null">hrsg3_ai82402 = #{hrsg3Ai82402},</if>
            <if test="hrsg3Ai82403 != null">hrsg3_ai82403 = #{hrsg3Ai82403},</if>
            <if test="hrsg3Ai82404 != null">hrsg3_ai82404 = #{hrsg3Ai82404},</if>
            <if test="hrsg3Ai82405 != null">hrsg3_ai82405 = #{hrsg3Ai82405},</if>
            <if test="hrsg3Ai82406 != null">hrsg3_ai82406 = #{hrsg3Ai82406},</if>
            <if test="hrsg3Ai82407 != null">hrsg3_ai82407 = #{hrsg3Ai82407},</if>
            <if test="hrsg3Ai82408 != null">hrsg3_ai82408 = #{hrsg3Ai82408},</if>
            <if test="hrsg3Ai82409 != null">hrsg3_ai82409 = #{hrsg3Ai82409},</if>
            <if test="hrsg3Ai82410 != null">hrsg3_ai82410 = #{hrsg3Ai82410},</if>
            <if test="hrsg3Ai82411 != null">hrsg3_ai82411 = #{hrsg3Ai82411},</if>
            <if test="hrsg3Ai82412 != null">hrsg3_ai82412 = #{hrsg3Ai82412},</if>
            <if test="hrsg3Air32551 != null">hrsg3_air32551 = #{hrsg3Air32551},</if>
            <if test="hrsg3Air32552 != null">hrsg3_air32552 = #{hrsg3Air32552},</if>
            <if test="hrsg3Air32553 != null">hrsg3_air32553 = #{hrsg3Air32553},</if>
            <if test="hrsg3Air32554 != null">hrsg3_air32554 = #{hrsg3Air32554},</if>
            <if test="hrsg3Air32555 != null">hrsg3_air32555 = #{hrsg3Air32555},</if>
            <if test="hrsg3Air32556 != null">hrsg3_air32556 = #{hrsg3Air32556},</if>
            <if test="hrsg3Air32557 != null">hrsg3_air32557 = #{hrsg3Air32557},</if>
            <if test="hrsg3Air32558 != null">hrsg3_air32558 = #{hrsg3Air32558},</if>
            <if test="hrsg3Qi32240 != null">hrsg3_qi32240 = #{hrsg3Qi32240},</if>
            <if test="hrsg3Qi32241 != null">hrsg3_qi32241 = #{hrsg3Qi32241},</if>
            <if test="hrsg3Qi32242 != null">hrsg3_qi32242 = #{hrsg3Qi32242},</if>
            <if test="totalEfficiency != null">total_efficiency = #{totalEfficiency},</if>
        </trim>
        where id = #{id}
    </update>

    <update id="deleteTElecdashboardDayById" parameterType="Long">
        update t_elecdashboard_day set del_flag = 2 where id = #{id}
    </update>

    <update id="deleteTElecdashboardDayByIds" parameterType="String">
        update t_elecdashboard_day set del_flag = 2 where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </update>
    
</mapper>